Package com.studica.frc

## Class TitanSmall

- java.lang.Object
- - com.studica.frc.TitanSmall

All Implemented Interfaces:
  `edu.wpi.first.wpilibj.PIDOutput`, `edu.wpi.first.wpilibj.SpeedController`

    public class TitanSmall
    extends java.lang.Object
    implements edu.wpi.first.wpilibj.SpeedController

Titan class testing java documentation.

### Constructor Summary

Constructors
`TitanSmall​(int deviceID, int frequency)` Constuctor for Titan class

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clearFaults()` clear faults
`void` `disable()`
`boolean` `enableSoftLimit()` enable soft limits
`double` `get()`
`double` `getCurrent()` Gets the current of the specified motor.
`int` `getFaults()` get faults
`java.lang.String` `getFirmwareVersion()` Gets the current firmware version of the Titan.
`int` `getFrequency()` Gets the current frequency of the Titan.
`java.lang.String` `getHardwareVersion()` Gets the current hardware version of the Titan.
`int` `getID()` Gets the current device ID of the Titan.
`boolean` `getInverted()`
`double` `getLimitSwitch​(boolean direction)` Gets limit switch (description)
`java.lang.String` `getSerialNumber()` get serial number
`void` `pidWrite​(double output)`
`void` `set​(double speed)`
`void` `setCurrentLimit()` Sets the current limit for specified motor
`void` `setInverted​(boolean isInverted)`
`void` `setMotorSpeed​(double speed)` Sets the speed of the specified motor
`void` `stopMotor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface edu.wpi.first.wpilibj.SpeedController

`setVoltage`

### Constructor Detail

#### TitanSmall

    public TitanSmall​(int deviceID,
                      int frequency)

Constuctor for Titan class

Parameters:
  `deviceID` - - Initialize the device ID
  `frequency` - - Defines the Titan's frequency

### Method Detail

#### getID

    public int getID()

Gets the current device ID of the Titan.

Returns:
  Device ID of the Titan.

#### getFrequency

    public int getFrequency()

Gets the current frequency of the Titan.

Returns:
  Frequency of the Titan.

#### getFirmwareVersion

    public java.lang.String getFirmwareVersion()

Gets the current firmware version of the Titan.

Returns:
  Firmware version of the TItan in string format.

#### getHardwareVersion

    public java.lang.String getHardwareVersion()

Gets the current hardware version of the Titan.

Returns:
  Hardware version of the Titan in string format.

#### getCurrent

    public double getCurrent()

Gets the current of the specified motor.

Returns:
  The current of the specified motor.

#### setMotorSpeed

    public void setMotorSpeed​(double speed)

Sets the speed of the specified motor

Parameters:
  `speed` - - The speed to control the motor

#### setCurrentLimit

    public void setCurrentLimit()

Sets the current limit for specified motor

#### getLimitSwitch

    public double getLimitSwitch​(boolean direction)

Gets limit switch (description)

Parameters:
  `direction` - - forward or reverse
Returns:
  limit switch

#### getFaults

    public int getFaults()

get faults

Returns:
  faults

#### clearFaults

    public void clearFaults()

clear faults

#### enableSoftLimit

    public boolean enableSoftLimit()

enable soft limits

Returns:
  enable or disabled

#### getSerialNumber

    public java.lang.String getSerialNumber()

get serial number

Returns:
  serial number

#### pidWrite

    public void pidWrite​(double output)

Specified by:
  `pidWrite` in interface `edu.wpi.first.wpilibj.PIDOutput`

#### set

    public void set​(double speed)

Specified by:
  `set` in interface `edu.wpi.first.wpilibj.SpeedController`

#### get

    public double get()

Specified by:
  `get` in interface `edu.wpi.first.wpilibj.SpeedController`

#### setInverted

    public void setInverted​(boolean isInverted)

Specified by:
  `setInverted` in interface `edu.wpi.first.wpilibj.SpeedController`

#### getInverted

    public boolean getInverted()

Specified by:
  `getInverted` in interface `edu.wpi.first.wpilibj.SpeedController`

#### disable

    public void disable()

Specified by:
  `disable` in interface `edu.wpi.first.wpilibj.SpeedController`

#### stopMotor

    public void stopMotor()

Specified by:
  `stopMotor` in interface `edu.wpi.first.wpilibj.SpeedController`